<template>
 <div  class="container_permissions">
    <el-col >
      <div class="titleSection">Administrar Permisos</div>
    </el-col>
    <div class="input-search-container">
      <el-input style="width:60%;" placeholder="Buscar Usuario" v-model="usuario"></el-input>
    </div>
   <!-- <input class= "input_routes" type="text"  placeholder="Nombre" v-model="url" v-on:keyup.enter="addRoutes" style="display:inline-block;width:70%"> -->

    <cardUsersPermissions v-for="(user,index) of usuarios" :key="index" :allUser="user"></cardUsersPermissions>
  </div>
</template>

<style>
 .container_permissions{
     margin: 0 8rem;
     padding: 10rem 0rem;
 }
 .input-search-container{
   display: block;
   text-align: center;
   margin-bottom: -6rem;
 }
</style>
<script>
import cardUsersPermissions from '@/components/cardUsersPermissions'
import {HTTP} from '@/main.js'
import http from '../../core/http'

 export default {
 components: {
    cardUsersPermissions
  },
  name: 'managePermissions',

  data(){
    return {
      users: [],
      usuario:''
    }
  },
 
  created(){
    this.getUsers();
  },
  computed:{
    usuarios(){
      return this.users.filter(user=>user.displayName.toLowerCase().includes(this.usuario.toLowerCase()) || user.email.toLowerCase().includes(this.usuario.toLowerCase()))
    }
  },

  methods: {
    getUsers(){
      HTTP.get('/users')
        .then(res => {
          this.users = res.data;
        })
        .catch( e => {
          console.log(e)
        })
    }
  }

}

</script>
